Reinstall OS for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/reinstall

A POST request sent to /v1/hosts/dedicated_servers/{server_id}/reinstall will initiate a reinstall of an operating system. To specify a server you want, fill its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/4oeEyWe0/reinstall" \  -H "Content-Type: application/json" \  -d '{    "hostname": "example.aa",    "drives": {      "layout": [        {          "slot_positions": [            0,            1          ],          "raid": 1,          "partitions": [            {              "target": "/boot",              "size": 500,              "fill": false,              "fs": "ext4"            },            {              "target": "swap",              "size": 4096,              "fill": false            },            {              "target": "/",              "size": 10140,              "fill": true,              "fs": "ext4"            }          ]        }      ]    },    "operating_system_id": 299,    "user_data": "#cloud-config\\ngroups:\\n  - ubuntu: [root,sys]"  }'
{  "id": "4oeEyWe0",  "rack_id": "MvbmmObY",  "title": "example.aa",  "location_id": 1705,  "location_code": "location3513",  "status": "active",  "operational_status": "installation",  "power_status": "powered_on",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.204",  "public_ipv4_address": "169.254.0.204",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "dedicated_server",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 2,    "bandwidth_id": 21,    "bandwidth_name": "20000 GB",    "server_model_id": 62,    "public_uplink_id": 51,    "private_uplink_id": 52,    "server_model_name": "server-model-693",    "public_uplink_name": "Public 1 Gbps without redundancy",    "operating_system_id": 21,    "private_uplink_name": "Private 1 Gbps without redundancy",    "operating_system_full_name": "CentOS 7 x86_64"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "ipxe_config": null,  "userdata_sha256": null,  "created_at": "2026-05-28T07:06:11Z",  "updated_at": "2026-05-28T07:06:12Z"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "drives": "a RAID configuration without operating system requires a hardware RAID controller"  }}